CREATE TABLE widget
(
    id                       BIGSERIAL PRIMARY KEY,
    code                     VARCHAR(200)   NOT NULL,
    time_period              VARCHAR(200)   NOT NULL,
    periods                  INTEGER        NULL,
    divisor                  NUMERIC(15, 5) NULL,
    precision_scale          INTEGER        NULL,
    start_date               TIMESTAMP      NULL,
    end_date                 TIMESTAMP      NULL,
    status                   VARCHAR(200)   NOT NULL,
    shortname_et             VARCHAR(400)   NOT NULL,
    shortname_en             VARCHAR(400)   NOT NULL,
    name_et                  VARCHAR(400)   NOT NULL,
    name_en                  VARCHAR(400)   NOT NULL,
    description_et           VARCHAR(4000)  NULL,
    description_en           VARCHAR(4000)  NULL,
    note_et                  VARCHAR(4000)  NULL,
    note_en                  VARCHAR(4000)  NULL,
    source_et                VARCHAR(400)   NULL,
    source_en                VARCHAR(400)   NULL,
    unit_et                  VARCHAR(400)   NULL,
    unit_en                  VARCHAR(400)   NULL,
    methods_link_et          VARCHAR(2000)  NULL,
    methods_link_en          VARCHAR(2000)  NULL,
    statistician_job_link_et VARCHAR(2000)  NULL,
    statistician_job_link_en VARCHAR(2000)  NULL,
    created_at               TIMESTAMP      NOT NULL,
    updated_at               TIMESTAMP      NULL
)